### Function

# GVnc AudioSample new

#### Declaration [src]

    VncAudioSample*
    vnc_audio_sample_new (
      guint32 capacity
    )

#### Description [src]

Allocate a new audio sample able to store `capacity` bytes of audio data.

The returned sample must be freed with vnc_audio_sample_free when no longer required.

#### Parameters

`capacity`

  Type: `guint32`

  The sample size in bytes.

#### Return value

Type: `VncAudioSample`

The new audio sample.

The caller of the function takes ownership of the data, and is responsible for freeing it.